Type to search.

Unlink an attachment from a stream

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.3 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Unlinks an attachment from a stream. Noop if the attachment is not linked to the stream.

Required privileges

Privileges manage_stream

Path parameters

streamName string · max length: 200 required

The name of the stream

attachmentType enum required

The type of the attachment

Values: dashboard rule slo
attachmentId string · max length: 256 required

The ID of the attachment

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

Any of:

Response

200

Successfully unlinked attachment

application/json